%global momorel 7
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 8m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Back up your data in a simple, user friendly way
Name: kbackup
Version: 0.5.4
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.kde-apps.org/content/show.php?content=44998
Group: Applications/Archiving
Source0: http://www.kde-apps.org/CONTENT/content-files/44998-%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils

%description
KBackup is a program that lets you back up any directories or files,
whereby it uses an easy to use directory tree to select the things to back up.
The program was designed to be very simple in its use
so that it can be used by non-computer experts.
The storage format is the well known TAR format, whereby the data
is still stored in compressed format (bzip2 or gzip).

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

# make -j4 doesn't work on i686 (kbackup-0.5.2-4m and make-3.81-2m)
# make %%{?_smp_mflags}
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kbackup.png %{buildroot}%{_datadir}/pixmaps/kbackup.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category X-SuSE-Backup \
  --remove-category X-MandrivaLinux-System-Archiving-Backup \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/kbackup.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kbackup
%{_datadir}/applications/kde/kbackup.desktop
%{_datadir}/apps/kbackup
%{_datadir}/doc/HTML/*/kbackup
%{_datadir}/icons/*/*/*/kbackup.png
%{_datadir}/locale/*/LC_MESSAGES/kbackup.mo
%{_datadir}/mimelnk/text/x-kbp.desktop
%{_datadir}/pixmaps/kbackup.png

%changelog
* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-7m)
- build doc/de again

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-6m)
- revise %%{_docdir}/HTML/*/kbackup/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.4-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.4-4m)
- rebuild against gcc43

* Sat Feb 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-3m)
- modify BPR for KDE4
- remove docs of de, this is temporal build fix

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.4-2m)
- %%NoSource -> NoSource

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.4-1m)
- version 0.5.4
- update desktop.patch
- License: GPLv2

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.3-1m)
- version 0.5.3

* Thu Aug 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-4m)
- re-disable parallel build for i686

* Mon Aug 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2-3m)
- update source tar ball, including Spanish translations

* Wed Aug 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-2m)
- re-enable parallel build

* Wed Aug 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-1m)
- version 0.5.2
- remove fr paches

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-2m)
- use make, make %%{?_smp_mflags} doesn't work with make-3.81-2m

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-1m)
- initial package for Momonga Linux
- fr pathces are imported from Fedora
